# OnKick

Non-local user is being kicked from a channel

Parameters

    $0 = source nickname
    $1 = source username
    $2 = source hostname
    $3 = kicked nickname
    $4 = kick reason

Window
Channel
Description

Triggered when a non-local user is being kicked from a channel.
The KICK message has already been processed by the server, so the user is effectively no longer on the channel. On the other side, it might be useful to access the user-related channel data from this event, thus the handler is called effectively just BEFORE the user is effectively removed from the channel internal structures.
Since this event is triggered in the channel window, you can get the channel name by using the $target function.
Calling 'halt' in this event will stop the kick message output.

See also
onmekick

Index, Events

KVIrc 4.2.0.6190 Documentation
Generated by root at Mon Sep 23 13:56:02 2013